<div class="col-md-12">
      <form
        [formGroup]="registerForm"
        *ngIf="!isSuccessful"
        name="form"
        (ngSubmit)="onSubmit()"        
        novalidate
      >
        <div class="form-group">
          <label for="login_email">Login e-mail:</label>
          <input
            type="text"
            class="form-control"
            name="login_email"
            formControlName="login_email"
            [ngClass]="loginEmailHasError()" 
            autocomplete="off"          
          />
          <div class="alert-danger" *ngIf="loginEmailErrors().length > 0">
            <ul class="list">                
                <li *ngFor="let errorMessage of loginEmailErrors()">{{ errorMessage }}</li>
            </ul>
          </div>
        </div>
        
        <div class="form-group">
          <label for="password">Lozinka:</label>
          <input
            type="password"
            class="form-control"
            name="password"
            formControlName="password"
            autocomplete="off"            
          />
          <div class="alert-danger" *ngIf="passwordErrors().length > 0">
            <ul class="list">
                <li *ngFor="let errorMessage of passwordErrors()">{{ errorMessage }}</li>
            </ul>
          </div>
        </div>

        <div class="form-group">
            <label for="naziv_firme">Naziv firme:</label>
            <input
              type="text"
              class="form-control"
              name="naziv_firme"
              formControlName="naziv_firme"
              autocomplete="off"              
            />
            <div class="alert-danger" *ngIf="nazivFirmeErrors().length > 0">
                <ul class="list">
                    <li *ngFor="let errorMessage of nazivFirmeErrors()">{{ errorMessage }}</li>
                </ul>
              </div>
          </div>


        <div class="row">
            <div class="col-lg-6">
                <div class="form-group">
                    <label for="maticni_broj">Matični broj firme:</label>
                    <input
                        type="number"
                        class="form-control"
                        name="maticni_broj"
                        formControlName="maticni_broj"
                        autocomplete="off"                        
                    />
                    <div class="alert-danger" *ngIf="maticniBrojErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of maticniBrojErrors()">{{ errorMessage }}</li>
                        </ul>
                      </div>
                </div>
            </div>

            <div class="col-lg-6">
                <div class="form-group">
                    <label for="pib">PIB firme:</label>
                    <input
                        type="number"
                        class="form-control"
                        name="pib"
                        formControlName="pib"
                        autocomplete="off"                        
                    />
                    <div class="alert-danger" *ngIf="pibErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of pibErrors()">{{ errorMessage }}</li>
                        </ul>
                      </div>
                </div>
            </div>
        </div>
        

        

        <div class="row">
            <div class="col-lg-6">
                <div class="form-group">
                    <label for="telefon">Broj telefona firme:</label>
                    <input
                        type="string"
                        class="form-control"
                        name="telefon"
                        formControlName="telefon"
                        autocomplete="off"                        
                    />
                    <div class="alert-danger" *ngIf="telefonErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of telefonErrors()">{{ errorMessage }}</li>
                        </ul>
                      </div>
                </div>
            </div>

            <div class="col-lg-6">
                <div class="form-group">
                    <label for="kontakt_email">Kontakt e-mail:</label>
                    <input
                        type="string"
                        class="form-control"
                        name="kontakt_email"
                        formControlName="kontakt_email"
                        autocomplete="off"                        
                    />
                    <div class="alert-danger" *ngIf="kontaktEmailErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of kontaktEmailErrors()">{{ errorMessage }}</li>
                        </ul>
                      </div>
                </div>
            </div>

        </div>
        

        

        <div class="form-group">
            <label for="website">Website:</label>
            <input
                type="string"
                class="form-control"
                name="website"
                formControlName="website"
                autocomplete="off"                
            />
            <div class="alert-danger" *ngIf="websiteErrors().length > 0">
                <ul class="list">
                    <li *ngFor="let errorMessage of websiteErrors()">{{ errorMessage }}</li>
                </ul>
              </div>
        </div>

        <div class="form-group">
            <label for="adresa">Adresa:</label>
            <input
                type="string"
                class="form-control"
                name="adresa"
                formControlName="adresa"
                autocomplete="off"                
            />
            <div class="alert-danger" *ngIf="adresaErrors().length > 0">
                <ul class="list">
                    <li *ngFor="let errorMessage of adresaErrors()">{{ errorMessage }}</li>
                </ul>
              </div>
        </div>

        <div class="row">
            <div class="col-lg-6">
                <div class="form-group">
                    <label for="grad">Grad:</label>
                    <input
                        type="string"
                        class="form-control"
                        name="grad"
                        formControlName="grad"
                        autocomplete="off"                        
                    />
                    <div class="alert-danger" *ngIf="gradErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of gradErrors()">{{ errorMessage }}</li>
                        </ul>
                      </div>
                </div>
            </div>

            <div class="col-lg-6">
                <div class="form-group">
                    <label for="postanski_broj">Poštanski broj:</label>
                    <input
                        type="string"
                        class="form-control"
                        name="postanski_broj"
                        formControlName="postanski_broj"
                        autocomplete="off"                        
                    />
                    <div class="alert-danger" *ngIf="postanskiBrojErrors().length > 0">
                        <ul class="list">
                            <li *ngFor="let errorMessage of postanskiBrojErrors()">{{ errorMessage }}</li>
                        </ul>
                      </div>
                </div>
            </div>
        </div>
        

        

        <div class="form-group">
          <button type="submit" id="orange-btn">Registruj se</button>
        </div>
  
        <div class="alert alert-warning" *ngIf="isSignUpFailed">
          Registracija nesuspešna: <br />{{ errorMessage }}
        </div>
        Imate profil na Matfakturi? Prijavite se <a href="/login">ovde</a>.
      </form>
  
      <div class="alert alert-success" *ngIf="isSuccessful">
        Uspešno ste se registrovali!
        <!-- <button id="login-btn"><a href="/login">Prijavi se</a></button> -->
      </div>
    
  </div>